---
name: "global"
description: >-
  The global mode is always active
  unless an exclusive mode is active.
biases:
  - expression: "^$" # if no result is an option, it is probably correct
    factor: 2.0
  - expression: "^the$" # Vosk sometimes hears "the" from background noise
    factor: 0
  - expression: '^hm+$'
    factor: 0
  - expression: '\brecognizer\b'
    factor: 2.0
  - expression: '\bemacs\b'
    factor: 2.0
commands:
  - name: "quit utterly voice"
    description: >-
      Quits the utterly voice application.
    alternates:
      - "kwit utterly voice"
    functions:
      - name: "quit"
  - name: "activate"
    description: >-
      Toggles a mode on.
      The utterance arguments are the name of the mode.
    functions:
      - name: "toggleMode"
        fixedArguments:
          - "on"
        utteranceArguments: 100
  - name: "deactivate"
    description: >-
      Toggles a mode off.
      The utterance arguments are the name of the mode.
    functions:
      - name: "toggleMode"
        fixedArguments:
          - "off"
        utteranceArguments: 100
  - name: "open help"
    description: >-
      Opens the help window.
      With no utterance argument, all modes are described.
      If optional utterance arguments are provided, it should be the name of a mode,
      and all commands for that mode are described.
    alternates:
      - "hope and help"
      - "hoping help"
      - "open to help"
    functions:
      - name: "openHelp"
        utteranceArguments: 100
  - name: "open setup"
    description: >-
      Opens the setup window.
    alternates:
      - "open set up"
    functions:
      - name: "openSetup"
  - name: "stop listening"
    description: >-
      Turns the microphone off.
      The microphone cannot be turned back on by voice;
      you must click the microphone button in the user interface
      or press the space key while the button has focus.
    functions:
      - name: "updateMicrophone"
        fixedArguments:
          - "off"
  - name: "pause listening"
    description: >-
      Pauses the microphone.
      Activates the pause mode.
      Say "resume listening" to unpause the microphone.
    alternates:
      - "poise listening"
      - "poised listening"
      - "paul was listening"
      - "pau is listening"
      - "paul is listening"
      - "pa is listening"
      - "paused listening"
      - "cause listening"
      - "paws listening"
    functions:
      - name: "updateMicrophone"
        fixedArguments:
          - "pause"
      - name: "toggleMode"
        fixedArguments:
          - "on"
          - "pause"
  - name: "reload settings"
    description: >-
      Reloads number and mode settings files.
      This is useful to quickly test changes to these settings files.
      Be sure to save settings files before using this command.
      If any of these files have errors,
      the error will be displayed and
      none of the files are reloaded.
    functions:
      - name: "reloadSettings"
